Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class DetailedDestStat

    java.lang.Object
      com.tibco.tibjms.admin.DetailedDestStat

    public class DetailedDestStat

extends java.lang.Object

This class represents detailed destination statistics about another object (Topic, Queue etc). Detailed statistics are optionally collected by the server for wildcarded consumers, unidentified producers and routes.

Method Summary
`java.lang.String` | `getDestinationName()` Returns the name of the destination.
`int` | `getDestinationType()` Returns the type of the destination.
`StatData` | `getInboundStatData()` Returns inbound statistics for this bidirectional destination.
`StatData` | `getOutboundStatData()` Returns outbound statistics for this bidirectional destination.
`StatData` | `getStatData()` Returns statistics if this is unidirectional destination statistics.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getDestinationType

    public int getDestinationType()

  Returns the type of the destination.

  Returns:
    destination type.

### getDestinationName

    public java.lang.String getDestinationName()

  Returns the name of the destination.

  Returns:
    destination name.

### getStatData

    public StatData getStatData()

  Returns statistics if this is unidirectional destination statistics. Unidirectional destinations are those collected for producers and consumers.

  Returns:
    the statistics data.

### getInboundStatData

    public StatData getInboundStatData()

  Returns inbound statistics for this bidirectional destination. Bidirectional destinations are those collected for routes.

  Returns:
    the inbound statistics data.

### getOutboundStatData

    public StatData getOutboundStatData()

  Returns outbound statistics for this bidirectional destination. Bidirectional destinations are those collected for routes.

  Returns:
    the outbound statistics data.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved